# Class FragmentationInterceptor.FragKey

java.lang.Object
org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragKey

Enclosing class:
  `FragmentationInterceptor`

public static class FragmentationInterceptor.FragKey extends Object
Key used to identify a set of fragments belonging to the same original message.

## Constructor Summary

Constructors
Constructor
Description
`FragKey(byte[] id)`
Creates a new fragment key with the given unique identifier.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`boolean`
`expired(long expire)`
Checks if this fragment key has expired.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FragKey

public FragKey(byte[] id)
Creates a new fragment key with the given unique identifier.

Parameters:
  `id` - The unique identifier for the message

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### expired

public boolean expired(long expire)
Checks if this fragment key has expired.

Parameters:
  `expire` - The expiration time in milliseconds
Returns:
  `true` if the key has expired